explain_mkstemp_or_die(3)

NAME
explain_mkstemp_or_die - create a unique temporary file and report errors

SYNOPSIS
#include <libexplain/mkstemp.h>

int explain_mkstemp_or_die(char *templat);
int explain_mkstemp_on_error(char *templat);

DESCRIPTION
The explain_mkstemp_or_die function is used to call the mkstemp(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_mkstemp(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_mkstemp_on_error function is used to call the mkstemp(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_mkstemp(3) function, but still returns to the caller.

templat
    The template, exactly as to be passed to the mkstemp(3) system call.

RETURN VALUE
The explain_mkstemp_or_die function only returns on success, see mkstemp(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_mkstemp_on_error function always returns the value return by the wrapped mkstemp(3) system call.

EXAMPLE
The explain_mkstemp_or_die function is intended to be used in a fashion similar to the following example:
    int result = explain_mkstemp_or_die(templat);

SEE ALSO

mkstemp(3)
    create a unique temporary file

explain_mkstemp(3)
    explain mkstemp(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2009 Peter Miller